Skip to content

Get virtual account details​

GET
/v1/fiat/virtual-account/details

Returns virtual account details including banking information needed for receiving fiat deposits. A virtual account must already be onboarded, and the API key must have the LinkBankAccount permission. At least one of currency or reference must be provided.

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters​

Query Parameters

currency

Filter by a specific fiat currency code (e.g., USD or EUR).

Type
string
reference

Filter by payment reference.

Type
string

Responses​

Virtual account details retrieved successfully

application/json

Playground​

Authorization
Variables
Key
Value

Samples​